"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var context_1 = require("../context");
var logger_1 = require("../logger");
var utils_1 = require("./utils");
var Logger = (function (_super) {
    tslib_1.__extends(Logger, _super);
    function Logger(params) {
        var _this = _super.call(this, tslib_1.__assign(tslib_1.__assign({}, params), { context: params.context || new Context() })) || this;
        _this.context.setHttp({
            request: {
                referrer: document.referrer,
            },
        });
        return _this;
    }
    Logger.prototype.collectMetrics = function () {
        var performanceMetrics = utils_1.getPerformanceMetrics();
        if (performanceMetrics) {
            this.context.setMetrics(performanceMetrics);
        }
        this.debug('metrics', {
            networkInformation: utils_1.getNetworkInformation(),
            screen: utils_1.getScreenInformation(),
        });
        this.context.clearMetrics();
    };
    return Logger;
}(logger_1.Logger));
exports.Logger = Logger;
var Context = (function (_super) {
    tslib_1.__extends(Context, _super);
    function Context() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Context.prototype.aggregate = function () {
        var ecsMessage = _super.prototype.aggregate.call(this);
        ecsMessage.url = {
            fragment: document.location.hash,
            original: document.location.href,
            path: document.location.pathname,
            query: document.location.search,
        };
        return ecsMessage;
    };
    return Context;
}(context_1.Context));
exports.Context = Context;
