"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function getScreenInformation() {
    try {
        return {
            orientation: (window.screen.orientation || {}).type,
            size: window.screen.width + "x" + window.screen.height,
        };
    }
    catch (error) {
        console.error(error);
    }
}
exports.getScreenInformation = getScreenInformation;
function getPerformanceMetrics() {
    try {
        var _a = window.performance.timing, domComplete = _a.domComplete, domLoading = _a.domLoading, domInteractive = _a.domInteractive, navigationStart = _a.navigationStart;
        var metrics = {};
        if (domComplete > 0) {
            metrics.domComplete = domComplete - domLoading;
            metrics.domCompleteFull = domComplete - navigationStart;
        }
        if (domInteractive > 0) {
            metrics.domInteractive = domInteractive - domLoading;
            metrics.domInteractiveFull = domInteractive - navigationStart;
        }
        return metrics;
    }
    catch (error) {
        console.error(error);
    }
}
exports.getPerformanceMetrics = getPerformanceMetrics;
function getNetworkInformation() {
    try {
        var connection = navigator.connection;
        if (typeof connection === 'object') {
            return {
                downlink: connection.downlink,
                effectiveType: connection.effectiveType,
                rtt: connection.rtt,
            };
        }
    }
    catch (error) {
        console.error(error);
    }
}
exports.getNetworkInformation = getNetworkInformation;
