"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var Context = (function () {
    function Context() {
        this.client = {};
        this.custom = {};
        this.http = {};
        this.labels = {};
        this.log = {};
        this.metrics = {};
        this.service = {};
        this.tracing = {};
        this.url = {};
        this.userAgent = {};
        this.meta = {
            version: '1.5.0',
        };
    }
    Context.prototype.aggregate = function () {
        return {
            client: this.client,
            custom: this.custom,
            ecs: this.meta,
            http: this.http,
            labels: this.labels,
            log: this.log,
            metrics: this.metrics,
            service: this.service,
            tracing: this.tracing,
            url: this.url,
            user_agent: this.userAgent,
        };
    };
    Context.prototype.setLabels = function (labels) {
        this.labels = tslib_1.__assign(tslib_1.__assign({}, this.labels), labels);
    };
    Context.prototype.setClient = function (client) {
        this.client = tslib_1.__assign(tslib_1.__assign({}, this.client), client);
    };
    Context.prototype.setCustom = function (custom) {
        this.custom = tslib_1.__assign(tslib_1.__assign({}, this.custom), custom);
    };
    Context.prototype.setUrl = function (url) {
        this.url = tslib_1.__assign(tslib_1.__assign({}, this.url), url);
    };
    Context.prototype.setUserAgent = function (userAgent) {
        this.userAgent = tslib_1.__assign(tslib_1.__assign({}, this.userAgent), userAgent);
    };
    Context.prototype.setHttp = function (http) {
        this.http = tslib_1.__assign(tslib_1.__assign({}, this.http), http);
    };
    Context.prototype.setLog = function (log) {
        this.log = tslib_1.__assign(tslib_1.__assign({}, this.log), log);
    };
    Context.prototype.setService = function (service) {
        this.service = tslib_1.__assign(tslib_1.__assign({}, this.service), service);
    };
    Context.prototype.setTracing = function (tracing) {
        this.tracing = tslib_1.__assign(tslib_1.__assign({}, this.tracing), tracing);
    };
    Context.prototype.setMetrics = function (metrics) {
        this.metrics = tslib_1.__assign(tslib_1.__assign({}, this.metrics), metrics);
    };
    Context.prototype.clearMetrics = function () {
        this.metrics = {};
    };
    return Context;
}());
exports.Context = Context;
