import { Context } from './context';
import { ECS } from './ecs';
import { Formatter } from './formatter';
import { Transport } from './transport';
export interface LoggerParams {
    context?: Context;
    formatter?: Formatter;
    transport?: Transport;
}
export declare class Logger {
    protected readonly formatter: Formatter;
    protected readonly transport: Transport;
    readonly context: Context;
    constructor(params?: LoggerParams);
    debug(message: string, payload?: ECS.Message): void;
    error(code: string, error?: Error): void;
    warning(message: string): void;
}
