"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var context_1 = require("./context");
var formatter_1 = require("./formatter");
var transport_1 = require("./transport");
var Logger = (function () {
    function Logger(params) {
        this.context = (params === null || params === void 0 ? void 0 : params.context) || new context_1.Context();
        this.formatter = (params === null || params === void 0 ? void 0 : params.formatter) || new formatter_1.Formatter();
        this.transport = (params === null || params === void 0 ? void 0 : params.transport) || new transport_1.Transport();
    }
    Logger.prototype.debug = function (message, payload) {
        var ecsMessage = this.formatter.formatDebugMessage(message, tslib_1.__assign(tslib_1.__assign({}, this.context.aggregate()), payload));
        this.transport.send(ecsMessage);
    };
    Logger.prototype.error = function (code, error) {
        var ecsMessage = this.formatter.formatErrorMessage(code, this.context.aggregate(), error);
        this.transport.send(ecsMessage);
    };
    Logger.prototype.warning = function (message) {
        var ecsMessage = this.formatter.formatWarningMessage(message, this.context.aggregate());
        this.transport.send(ecsMessage);
    };
    return Logger;
}());
exports.Logger = Logger;
