import { ECS } from '../ecs';
import { Transport as BaseTransport } from '../transport';
import type { Client } from '@elastic/elasticsearch';
export interface Params {
    client: Client;
    indexBase: string;
    maxQueueSize: number;
}
interface Index {
    index: {
        _index: string;
    };
}
export declare class Transport extends BaseTransport {
    protected readonly client: Client;
    protected readonly indexBase: string;
    protected readonly maxQueueSize: number;
    protected readonly queue: Array<ECS.Message | Index>;
    constructor(params: Params);
    send(message: ECS.Message): void;
    protected addToQueue(message: ECS.Message): void;
}
export {};
