"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var os = require("os");
var transport_1 = require("../transport");
var Transport = (function (_super) {
    tslib_1.__extends(Transport, _super);
    function Transport(params) {
        var _this = _super.call(this) || this;
        _this.queue = [];
        _this.client = params.client;
        _this.maxQueueSize = params.maxQueueSize;
        _this.indexBase = params.indexBase;
        return _this;
    }
    Transport.prototype.send = function (message) {
        this.addToQueue(message);
        if (this.queue.length > this.maxQueueSize) {
            this.client.bulk({
                body: this.queue,
            });
            this.queue.length = 0;
        }
    };
    Transport.prototype.addToQueue = function (message) {
        var now = new Date();
        var nowFormatted = now.getFullYear() + "." + (now.getMonth() + 1)
            .toString()
            .padStart(2, '0') + "." + now.getDate().toString().padStart(2, '0');
        this.queue.push({
            index: {
                _index: this.indexBase + "-" + nowFormatted,
            },
        }, tslib_1.__assign({ '@timestamp': now.toISOString(), host: {
                name: os.hostname(),
                uptime: process.uptime(),
            } }, message));
    };
    return Transport;
}(transport_1.Transport));
exports.Transport = Transport;
