"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var geoIp = require("geoip-lite");
var ua_parser_js_1 = require("ua-parser-js");
function parseUserAgent(userAgent) {
    var parser = new ua_parser_js_1.UAParser(userAgent);
    var device = parser.getDevice();
    var osInformation = parser.getOS();
    var browser = parser.getBrowser();
    return {
        name: browser.name,
        version: browser.version,
        device: {
            name: device.vendor,
        },
        original: userAgent,
        os: {
            name: osInformation.name,
            version: osInformation.version,
        },
    };
}
exports.parseUserAgent = parseUserAgent;
function parseGeo(ip) {
    var lookupResult = geoIp.lookup(ip);
    if (lookupResult && lookupResult.country) {
        return {
            country_iso_code: lookupResult.country,
            city_name: lookupResult.city,
        };
    }
    return {};
}
exports.parseGeo = parseGeo;
